#!/bin/sh

N=100
if [ $# -ge 1 ]; then
  N=$1
fi

cat <<'EOF'
#include <string_view>

void fn(std::string_view s, const char **ptrs);

void generated() {
  const char **a = new const char *[1];
EOF

for i in $(seq -w $N); do
  echo "  a[0] = \"x$i\";"
  echo "  fn(\"x$i\", a);"
done
echo "}"
