#!/bin/sh

N=100
if [ $# -ge 1 ]; then
  N=$1
fi

cat <<'EOF'
#include <string_view>

void fn(std::string_view s, const char **ptrs);

void generated() {
EOF

for i in $(seq -w $N); do
  echo "  fn(\"x$i\", new const char *[1] { \"x$i\" });"
done
echo "}"
